Package com.enonic.xp.index

## Class IndexConfig

- java.lang.Object
- - com.enonic.xp.index.IndexConfig

- All Implemented Interfaces:
    `Comparable<IndexConfig>`

      @PublicApi
      public final class IndexConfig
      extends Object
      implements Comparable<IndexConfig>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IndexConfig.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IndexConfig` | `BY_TYPE` |
    `static Comparator<IndexConfig>` | `COMPARATOR` |
    `static IndexConfig` | `FULLTEXT` |
    `static IndexConfig` | `MINIMAL` |
    `static IndexConfig` | `NGRAM` |
    `static IndexConfig` | `NONE` |
    `static IndexConfig` | `PATH` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(IndexConfig o)` |
    `static IndexConfig.Builder` | `create()` |
    `static IndexConfig.Builder` | `create​(IndexConfig source)` |
    `boolean` | `equals​(Object o)` |
    `ImmutableList<IndexValueProcessor>` | `getIndexValueProcessors()` |
    `ImmutableList<String>` | `getLanguages()` |
    `int` | `hashCode()` |
    `boolean` | `isDecideByType()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isFulltext()` |
    `boolean` | `isIncludeInAllText()` |
    `boolean` | `isnGram()` |
    `boolean` | `isPath()` |
    `boolean` | `isStemmed()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final IndexConfig NONE

    - #### FULLTEXT

          public static final IndexConfig FULLTEXT

    - #### PATH

          public static final IndexConfig PATH

    - #### MINIMAL

          public static final IndexConfig MINIMAL

    - #### BY_TYPE

          public static final IndexConfig BY_TYPE

    - #### NGRAM

          public static final IndexConfig NGRAM

    - #### COMPARATOR

          public static final Comparator<IndexConfig> COMPARATOR

  - ### Method Detail

    - #### create

          public static IndexConfig.Builder create()

    - #### create

          public static IndexConfig.Builder create​(IndexConfig source)

    - #### isDecideByType

          public boolean isDecideByType()

    - #### isEnabled

          public boolean isEnabled()

    - #### isnGram

          public boolean isnGram()

    - #### isFulltext

          public boolean isFulltext()

    - #### isPath

          public boolean isPath()

    - #### isIncludeInAllText

          public boolean isIncludeInAllText()

    - #### isStemmed

          public boolean isStemmed()

    - #### getLanguages

          public ImmutableList<String> getLanguages()

    - #### getIndexValueProcessors

          public ImmutableList<IndexValueProcessor> getIndexValueProcessors()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(IndexConfig o)

      Specified by:
        `compareTo` in interface `Comparable<IndexConfig>`